package club.dawdler.user.entity;

import java.io.Serializable;
import java.util.Date;

public class User implements Serializable {
    /** 用户ID */
    private Integer id;

    /** 用户名 */
    private String username;

    /** 密码 */
    private String password;

    /** 邮箱 */
    private String email;

    /** 手机号码 */
    private String phone;

    /** 创建时间 */
    private Date createdAt;

    /** 更新时间 */
    private Date updatedAt;

    /** 用户表 */
    private static final long serialVersionUID = 1L;

    /**
     * 获取[用户ID]
     * @return id
     */
    public Integer getId() {
        return id;
    }

    /**
     * 设置[用户ID]
     * @param id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取[用户名]
     * @return username
     */
    public String getUsername() {
        return username;
    }

    /**
     * 设置[用户名]
     * @param username
     */
    public void setUsername(String username) {
        this.username = username == null ? null : username.trim();
    }

    /**
     * 获取[密码]
     * @return password
     */
    public String getPassword() {
        return password;
    }

    /**
     * 设置[密码]
     * @param password
     */
    public void setPassword(String password) {
        this.password = password == null ? null : password.trim();
    }

    /**
     * 获取[邮箱]
     * @return email
     */
    public String getEmail() {
        return email;
    }

    /**
     * 设置[邮箱]
     * @param email
     */
    public void setEmail(String email) {
        this.email = email == null ? null : email.trim();
    }

    /**
     * 获取[手机号码]
     * @return phone
     */
    public String getPhone() {
        return phone;
    }

    /**
     * 设置[手机号码]
     * @param phone
     */
    public void setPhone(String phone) {
        this.phone = phone == null ? null : phone.trim();
    }

    /**
     * 获取[创建时间]
     * @return createdAt
     */
    public Date getCreatedAt() {
        return createdAt;
    }

    /**
     * 设置[创建时间]
     * @param createdAt
     */
    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    /**
     * 获取[更新时间]
     * @return updatedAt
     */
    public Date getUpdatedAt() {
        return updatedAt;
    }

    /**
     * 设置[更新时间]
     * @param updatedAt
     */
    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }
}